FlixBus: Search
Search from FlixBus as JSON. 1 credit per successful call.
GET /v1/flixbus/search
Parameters
Send parameters in the query string.
| Parameter | Type | Required | Allowed values |
|---|---|---|---|
from_city_id | string | Required | Any |
to_city_id | string | Required | Any |
adults | integer | Optional | Any |
currency | string | Optional | EUR, USD |
departure_date | string | Required | Any |
sort | string | Optional | departure, price, duration |
max_price | number | Optional | Any |
max_transfers | integer | Optional | Any |
departure_after | string | Optional | Any |
departure_before | string | Optional | Any |
Example request
curl "https://api.perceptlayer.com/v1/flixbus/search" \
-H "X-API-Key: $API_KEY"